Page MenuHomePhabricator

Use daily granularity for 1-month time ranges
Closed, ResolvedPublic1 Story Points

Description

Ref. T170940

Right not it doesn't make much sense to show one bar when we select "one month" in the timerange. We should probably use daily granularity in that case

Event Timeline

fdans created this task.Aug 15 2017, 2:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2017, 2:27 PM
mforns edited projects, added Analytics-Kanban; removed Analytics.Aug 17 2017, 3:30 PM
fdans claimed this task.Aug 24 2017, 11:38 AM
fdans moved this task from Next Up to In Progress on the Analytics-Kanban board.
Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Sep 6 2017, 3:01 PM
Nuria set the point value for this task to 1.Sep 12 2017, 8:45 PM

This works ok from a data point of view, but there are two rendering problems:

  1. The X axis shrinks in 1-month and 3-month mode (compared to the 1-year mode). This should always be the same size regardless of the data, and that should be as wide as possible in the space it has.
  1. The labels overlap each other in the 1-month mode. This is very hard to get right with d3's crazy labeling, but give it a shot, it might be better in v4.
fdans added a comment.Sep 14 2017, 5:25 PM

The X axis shrinks in 1-month and 3-month mode (compared to the 1-year mode). This should always be the same size regardless of the data, and that should be as wide as possible in the space it has.

Yeah I got stuck with this. I've noooo idea how to make d3's scaleband to work with a fixed width. If we can brainstorm around this that'd be great.

The labels overlap each other in the 1-month mode. This is very hard to get right with d3's crazy labeling, but give it a shot, it might be better in v4.
D781

fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Sep 19 2017, 4:10 PM
Nuria closed this task as Resolved.Sep 22 2017, 6:50 PM